> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List KYB forms

> List KYB forms associated with KYB token. There can be *one* or *zero* items in the list, indicating that the KYB form *was* or *was not* created.



## OpenAPI

````yaml /openapi/kyb.yaml get /kyb/forms/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /kyb/forms/:
    get:
      tags:
        - KYB Forms
      summary: List KYB forms
      description: >-
        List KYB forms associated with KYB token. There can be *one* or *zero*
        items in the list, indicating that the KYB form *was* or *was not*
        created.
      operationId: kybFormsList
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KybFormList'
          description: ''
      security:
        - kybTokenAuth: []
components:
  schemas:
    KybFormList:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        company:
          $ref: '#/components/schemas/CompanyInfo'
        meta:
          allOf:
            - $ref: '#/components/schemas/KybFormMeta'
          readOnly: true
      required:
        - company
        - id
        - meta
    CompanyInfo:
      type: object
      properties:
        companyName:
          type: string
          maxLength: 255
        registrationNumber:
          type: string
          nullable: true
          maxLength: 100
        country:
          $ref: '#/components/schemas/CountryEnum'
        region:
          type: string
          nullable: true
          maxLength: 2
        type:
          type: string
          nullable: true
          maxLength: 100
        phone:
          type: string
          nullable: true
          description: Phone number in [E.164](https://wikipedia.org/wiki/E.164) format.
          maxLength: 128
        website:
          type: string
          format: uri
          nullable: true
          maxLength: 200
        email:
          type: string
          format: email
          nullable: true
          description: Email address.
          maxLength: 254
        brandNames:
          type: array
          items:
            type: string
            maxLength: 100
          default: []
          maxItems: 10
        activityCode:
          type: string
          nullable: true
          maxLength: 8
        tin:
          type: string
          nullable: true
          description: Taxpayer identification number.
          maxLength: 32
        operatingAddress:
          type: string
          nullable: true
          maxLength: 255
        postalAddress:
          type: string
          nullable: true
          description: Registration address.
          maxLength: 255
        postcode:
          type: string
          nullable: true
          maxLength: 20
        street:
          type: string
          nullable: true
          maxLength: 100
        city:
          type: string
          nullable: true
          maxLength: 100
        additionalInfo:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AdditionalFieldValue'
      required:
        - companyName
        - country
    KybFormMeta:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/KybStatusEnum'
        approvalStatus:
          allOf:
            - $ref: '#/components/schemas/ApprovalStatusEnum'
          nullable: true
          description: Review approval status.
        submissionTime:
          type: string
          format: date-time
          nullable: true
          description: Date and time when KYB form submit endpoint was called.
        soleProprietor:
          type: boolean
    CountryEnum:
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CK
        - CR
        - CI
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CD
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - XK
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - KP
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - KR
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VA
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
      type: string
    AdditionalFieldValue:
      type: object
      properties:
        title:
          type: string
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/CustomFieldTypeEnum'
          readOnly: true
        value:
          nullable: true
      required:
        - title
        - type
        - value
    KybStatusEnum:
      enum:
        - PENDING
        - PROCESSING
        - NEED_TO_PROCESS
        - NEED_TO_REVIEW
        - COMPLETED
      type: string
    ApprovalStatusEnum:
      enum:
        - APPROVED
        - DENIED
      type: string
    CustomFieldTypeEnum:
      enum:
        - CHECKBOX
        - COUNTRY
        - COUNTRY_MULTI
        - DATE
        - INTEGER
        - SELECT
        - SELECT_MULTI
        - TEXT
      type: string
  securitySchemes:
    kybTokenAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication for actions with all operations associated with KYB
        form.<br>

        Token obtained from *KYB form token generation* endpoint as
        ``tokenString`` value.<br>

````